<?php

    wp_enqueue_style('iv_property-style-110', wp_iv_property_URLPATH . 'admin/files/css/iv-bootstrap-4.css');
    wp_enqueue_style('iv_property-style-111', wp_iv_property_URLPATH . 'admin/files/css/styles.css');
	wp_enqueue_style('iv_property-style-64', wp_iv_property_URLPATH . 'assets/cube/css/cubeportfolio.min.css');
	wp_enqueue_style('iv_directories-css-queryUI', 'https://ajax.googleapis.com/ajax/libs/jqueryui/1.8.9/themes/base/jquery-ui.css');


global $post,$wpdb,$tag;


$ins_lat='37.4419';
$ins_lng='-122.1419';
$search_show=0;
$search_show=0;
$map_show=0;
$search_button_show='no';
$dir_searchbar_show=get_option('_dir_searchbar_show');
if($dir_searchbar_show=="yes"){$search_show=1;}
$dir_map_show=get_option('_dir_map_show');
if($dir_map_show=="yes"){$map_show=1;}


$directory_url=get_option('_iv_property_url');
if($directory_url==""){$directory_url='property';}
$current_post_type=$directory_url;


$form_action='';
if ( is_front_page() ) {
  $form_action='action="'.get_post_type_archive_link($current_post_type).'"';

}

$search_button_show=get_option('_search_button_show');
if($search_button_show==""){$search_button_show='yes';}

$post_limit='999999';
if(isset($atts['post_limit']) and $atts['post_limit']!="" ){
 $post_limit=$atts['post_limit'];
}	

	$dirs_data =array();
	$tag_arr= array();
	$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
	$args = array(
		'post_type' => $directory_url, // enter your custom post type
		'paged' => $paged,
		'post_status' => 'publish',
		//'fields' => 'all',
		//'orderby' => 'ASC',
		'posts_per_page'=> $post_limit,  // overrides posts per page in theme settings
	);

	$lat='';$long='';$keyword_post='';$address='';$postcats ='';$selected='';
	// Add new shortcode only category

	if(isset($atts['category']) and $atts['category']!="" ){
			$postcats = $atts['category'];
			$args[$directory_url.'-category']=$postcats;			
	}	
	
	
	

	// Meta Query***********************
$city_mq ='';
if(isset($atts['dir_city']) AND $atts['dir_city']!=''){							
		$city_mq = array(
		'relation' => 'AND',
			array(
				'key'     => 'city',
				'value'   => $atts['dir_city'],
				'compare' => 'LIKE'
			),
		);
}

$zip_mq='';
if(isset($atts['zipcode']) AND $atts['zipcode']!=''){	
	$zip_mq = array(
		'relation' => 'AND',
			array(
				'key'     => 'postcode',
				'value'   => $atts['zipcode'],
				'compare' => 'LIKE'
			),
		);
}


$beds='';
if( isset($atts['beds'])){
	if($atts['beds']!=""){			
		$beds=$atts['beds'];	
			
		$beds = array(
		'relation' => 'AND',
			array(
				'key'     => 'bedrooms',
				'value'   => $atts['beds'],
				'type'    => 'numeric',
				'compare' => '>='
			),
		);
		
		
	}
}
	
	$baths='';
	if( isset($atts['baths'])){
		if($atts['baths']!=""){			

			$baths = array(
		'relation' => 'AND',
			array(
				'key'     => 'bathrooms',
				'value'   => (int)$atts['baths'],
				'type'    => 'numeric',
				'compare' => '>='
			),
		);		
						
		}
	}
	$min_price='';
	if( isset($atts['min_price'])){
		if($atts['min_price']!=""){			
			$min_price=$atts['min_price'];	
			
				$min_price = array(
				'relation' => 'AND',
					array(
						'key'     => 'sale_or_rent_price',
						'value'   => (int)$atts['min_price'],
						'type'    => 'numeric',
						'compare' => '>='
					),
				);		
								
			
		}
	}
	$area='';
	if( isset($atts['area'])){
		if($atts['area']!=""){			
			$area=$atts['area'];	
			
			$area = array(
				'relation' => 'AND',
					array(
						'key'     => 'area',
						'value'   => (int)$atts['area'],
						'type'    => 'numeric',
						'compare' => '>='
					),
				);
			
		}
	}
	
	$property_status_re='';
	$property_status='';
	if( isset($atts['property-type'])){
		$property_status_re=$atts['property-type'];
		if($atts['property-type']!=""){	
			
				$property_status = array(
				'relation' => 'AND',
					array(
						'key'     => 'property_status',
						'value'   => $atts['property-type'],
						'compare' => 'LIKE'
					),
				);
				
		}
	}	
	
$args['meta_query'] = array(
	$city_mq, $property_status, $zip_mq,$area,$min_price,$baths,$beds,
);
	
		


	 $the_query = new WP_Query( $args );


$main_class = new wp_iv_property;
$dir_background_color=get_option('dir_background_color');
if($dir_background_color==""){$dir_background_color='#EFEFEF';}

if(isset($atts['background_color']) and $atts['background_color']!="" ){
 $dir_background_color=$atts['background_color'];
}	

$rand_div=rand(10,100);

$active_filter='';
$rent_text='';
?>
<style>
.archieve-page{
    font-family: 'Quicksand',sans-serif;
    background:<?php echo $dir_background_color;?>;
}
</style>
<!-- add font-awesome for using icon -->
<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.1/css/all.css" integrity="sha384-50oBUHEmvpQ+1lW4y57PTFmhCaXp0ML5d60M1M7uH2+nqUivzIebhndOJK28anvf" crossorigin="anonymous">
<!-- font -->
<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Quicksand:300,400,500,700">

<!-- wrap everything for our isolated bootstrap -->
<div class="bootstrap-wrapper">
<!-- archieve page own design font and others -->
<section class="archieve-page py-5">


<!-- sction for sort by catagory -->

<div class="container archieve-page "  >
	  <div class="direc-item">
		<div id="js-grid-meet-the-<?php echo $rand_div;?>" class="cbp cbp-l-grid-team" >

		  <?php

		$i=1;
		$dir_popup=get_option('_dir_popup');
		if($dir_popup==""){$dir_popup='yes';}
		 if ( $the_query->have_posts() ) :

		while ( $the_query->have_posts() ) : $the_query->the_post();
					$id = get_the_ID();
						$feature_img='';
						if(has_post_thumbnail()){
							$feature_image = wp_get_attachment_image_src( get_post_thumbnail_id( $id ), 'large' );
							if($feature_image[0]!=""){
								$feature_img =$feature_image[0];
							}
						}else{
							$feature_img= wp_iv_property_URLPATH."/assets/images/default-directory.jpg";

						}

						if($active_filter=="tag"){
							$currentCategory=wp_get_object_terms( $id, $directory_url.'_tag');
						}else{
							$currentCategory=wp_get_object_terms( $id, $directory_url.'-category');
						}

						$cat_link='';$cat_name='';$cat_slug='';
						if(isset($currentCategory[0]->slug)){
							$cat_slug = $currentCategory[0]->slug;
							$cat_name = $currentCategory[0]->name;
							$cc=0;
							foreach($currentCategory as $c){
									if($cc==0){
										$cat_name =$c->name;
										$cat_slug =$c->slug;
									}else{
										$cat_name = $cat_name .', '.$c->name;
										$cat_slug = $cat_slug .' '.$c->slug;
									}
								$cc++;
							}
						}

						$currentCategory=wp_get_object_terms( $id, $directory_url.'-category');
						$cat_name2='';
						if(isset($currentCategory[0]->slug)){
							$cat_name2 = $currentCategory[0]->name;
							$cc=0;
							foreach($currentCategory as $c){
									if($cc==0){
										$cat_name2 =$c->name;
									}else{
										$cat_name2 = $cat_name2 .', '.$c->name;
									}
								$cc++;
							}
						}
						// VIP
						$post_author_id= $post->post_author;
						$author_package_id=get_user_meta($post_author_id, 'iv_property_package_id', true);
						$have_vip_badge= get_post_meta($author_package_id,'iv_property_package_vip_badge',true);
						$exprie_date= strtotime (get_user_meta($post_author_id, 'iv_property_exprie_date', true));
						$current_date=time();


						$vip_image='';
						if($have_vip_badge=='yes'){
							if($exprie_date >= $current_date){
								if(get_option('vip_image_attachment_id')!=""){
										$vip_img= wp_get_attachment_image_src(get_option('vip_image_attachment_id'));
										if(isset($vip_img[0])){
											$vip_image='<img style="width:35px;"   src="'.$vip_img[0] .'">';
										}
								}else{
									$vip_image='<img style="width:35px;"   src="'. wp_iv_property_URLPATH."/assets/images/vipicon.png".'">';
								}

								}
						}

						?>
					<div class="cbp-item  <?php echo esc_attr($cat_slug); ?>" >
						<div class="card card-border-round bg-white">
							<div class="card-img-container">
							<a href="<?php echo get_the_permalink($id);?>"><img src="<?php echo $feature_img;?>" class="card-img-top"></a>
							</div>
							<div class="card-img-overlay text-white font-weight-bold">
                                <!-- <p style="font-size: 25px;"><sup>$</sup><span>50000</span>/<sub>month</sub></p> -->
								<?php
									
									$current_property_status = get_post_meta($id,'property_status',true);
									$rent_text=get_post_meta($id,'price_postfix_text',true). get_post_meta($id,'sale_or_rent_price',true) ;
									if($current_property_status =='For Rent'){
										$rent_text= get_post_meta($id,'price_postfix_text',true). get_post_meta($id,'sale_or_rent_price',true).'/'.get_post_meta($id,'rent_period',true);
									}
									if($current_property_status =='For Sale'){
										$rent_text= get_post_meta($id,'area',true).' '.get_post_meta($id,'area_postfix_text',true).'|'. get_post_meta($id,'price_postfix_text',true).get_post_meta($id,'sale_or_rent_price',true);
									}
									if($current_property_status =='Sold'){
										$rent_text= get_post_meta($id,'area',true).' '.get_post_meta($id,'area_postfix_text',true).'|'. get_post_meta($id,'price_postfix_text',true).get_post_meta($id,'sale_or_rent_price',true) ;
									}
									echo $rent_text;
								?>
							</div>
							<div class="card-img-overlay card-img-overlay__img text-white">
									<?php echo $vip_image; ?>
							</div>
								<?php
								if(get_post_meta($id,'realpro_featured',true)=="featured"){ ?>
									<div class="overlay_content1">
										<p><?php _e('Featured', 'ivproperty' ); ?></p>
									</div>
								<?php
								}
								?>
							<div class="card-body px-4 mt-0 card-body-min-height">
								<a href="<?php echo get_permalink($id); ?>" class="cbp-caption cbp-l-grid-projects-title mt-0" style="text-decoration: none;"><p class="title m-0 p-0"><?php echo $post->post_title;?></p></a>
								<p class="card-text p-0 m-0 address"><?php echo get_post_meta($id,'address',true);?> <?php echo get_post_meta($id,'city',true);?> <?php echo get_post_meta($id,'zipcode',true);?> <?php echo get_post_meta($id,'country',true);?></p>
								<p class="mt-2 short-desc">
									<?php
									if(get_post_meta($id,'area',true)!=""){ ?>
											<i class="fas fa-expand fa-xs ml-1"></i><span class="ml-1"> <?php
											echo get_post_meta($id,'area',true).' '.get_post_meta($id,'area_postfix_text',true).' ';
											?></span>
									<?php
									}
									?>
									<?php
									if(get_post_meta($id,'bedrooms',true)!=""){ ?>
									<i class="fas fa-bed fa-xs ml-1"></i> <span class="ml-1"> <?php
									echo get_post_meta($id,'bedrooms',true);
									?><?php _e(' Bedrooms','ivproperty'); ?></span>
									<?php
										}
									?>
									<?php
									if(get_post_meta($id,'bathrooms',true)!=""){ ?>
									<i class="fas fa-shower fa-xs ml-1"></i><span class="ml-1"><?php
									echo get_post_meta($id,'bathrooms',true);
									?><?php _e(' Baths ','ivproperty'); ?></span>
									<?php
										}
									?>
									<?php
									if(trim(get_post_meta($id,'garages',true))!=""){ ?>
									<i class="fas fa-car fa-xs ml-1"></i> <span class="ml-1"> <?php
									echo get_post_meta($id,'garages',true);
									?><?php _e(' Garage ','ivproperty'); ?></span>
									<?php
										}
									?>
									<?php
									if(get_post_meta($id,'guest',true)!=""){ ?>
									<i class="fas fa-user fa-xs ml-1"></i> <span class="ml-1"> <?php
									echo get_post_meta($id,'guest',true);
									?><?php _e(' Guest ','ivproperty'); ?></span>
									<?php
										}
									?>

								</p>
								<p class="mt-0"><?php echo ucfirst($cat_name2).' '.$current_property_status; ?></p>
								<p class="d-flex mt-2">
									<span class="review">

									 <?php
								$dir_single_review_show=get_option('_dir_single_review_show');
								if($dir_single_review_show==""){$dir_single_review_show='yes';}
								if($dir_single_review_show=='yes'){

										$total_reviews_point = $wpdb->get_col("SELECT SUM(pm.meta_value) FROM {$wpdb->postmeta} pm
										 INNER JOIN {$wpdb->posts} p ON p.ID = pm.post_id
										 WHERE pm.meta_key = 'review_value'
										 AND p.post_status = 'publish'
										 AND p.post_type = 'realpro_review' AND p.post_author = '".$id."'");


										$argsreviw = array( 'post_type' => 'realpro_review','author'=>$id,'post_status'=>'publish' );
										$ratings = new WP_Query( $argsreviw );

										$total_review_post = $ratings->post_count;

										$avg_review=0;
										if(isset($total_reviews_point[0])){
											$avg_review= (int)$total_reviews_point[0]/(int)$total_review_post;
										}

									?>

										<i class="far fa-star fa-xs <?php echo ($avg_review>0?'black-star': 'white-star');?>"></i>
										<i class="far fa-star fa-xs <?php echo ($avg_review>=2?'black-star': 'white-star');?>"></i>
										<i class="far fa-star fa-xs <?php echo ($avg_review>=3?'black-star': 'white-star');?>"></i>
										<i class="far fa-star fa-xs <?php echo ($avg_review>=4?'black-star': 'white-star');?>"></i>
										<i class="far fa-star fa-xs <?php echo ($avg_review>=5?'black-star': 'white-star');?>"></i>

									 <div class="cbp-l-grid-projects-review" style="display:none"><?php echo $avg_review;?></div>
									<?php
								}
							 ?>

									</span>

								</p>
							</div>
								<div class="cbp-l-grid-projects-date" style="display:none"><?php echo strtotime($post->post_date);?></div>
								<div class="cbp-l-grid-projects-price" style="display:none"><?php echo get_post_meta($id,'area',true);?></div>
								<div class="cbp-l-grid-projects-size" style="display:none"><?php echo get_post_meta($id,'sale_or_rent_price',true);?></div>
						</div>
					</div>


				<?php
				$i++;


		endwhile;

			?>
		  <?php endif; ?>
		</div>

	  </div>
 </div>


</section>
<!-- end of arhiece page -->
</div>
<!-- end of bootstrap wrapper -->



<!-- add js resources for bootstrap -->
<!--
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.0/jquery.min.js"></script>
-->


<?php
	wp_enqueue_script('iv_directories-jqueryUI', 'https://ajax.googleapis.com/ajax/libs/jqueryui/1.11.4/jquery-ui.min.js');
	wp_enqueue_script('iv_property-ar-script-23', wp_iv_property_URLPATH . 'assets/cube/js/jquery.cubeportfolio.min.js');
	wp_enqueue_script('iv_property-ar-script-24', wp_iv_property_URLPATH . 'admin/files/js/bootstrap.min.js');
	wp_enqueue_script('iv_property-ar-script-25', wp_iv_property_URLPATH . 'admin/files/js/popper.min.js');


	wp_enqueue_script('iv_property-ar-script-27', wp_iv_property_URLPATH . 'admin/files/js/archive-listing.js');
	wp_localize_script('iv_property-ar-script-27', 'realpro_data', array(
		'ajaxurl' 			=> admin_url( 'admin-ajax.php' ),
		'loading_image'		=> '<img src="'.wp_iv_property_URLPATH.'admin/files/images/loader.gif">',
		'current_user_id'	=>get_current_user_id(),
		) );
		
		
?>
<script>
function loadBackupScript(callback) {
			var script;			
			script = document.createElement('script');
			script.onload = callback;  
			script.src = '<?php echo wp_iv_property_URLPATH . 'assets/cube/js/jquery.cubeportfolio.min.js';?>';
			document.head.appendChild(script);
		}

loadBackupScript(function() { 			
		
			setTimeout(function(){
					(function($, window, document, undefined) {
				'use strict';

				// init cubeportfolio
				jQuery('#js-grid-meet-the-<?php echo $rand_div;?>').cubeportfolio({
					defaultFilter: '*',
					filters: '#js-filters-meet-the-<?php echo $rand_div;?>',
					layoutMode: 'grid',       
					animationType: 'sequentially',
					gapHorizontal: 50,
					gapVertical: 40,
					gridAdjustment: 'responsive',
					 mediaQueries: [{
						width: 1500,
						cols: 5,
					}, {
						width: 1100,
						cols: 3,
					}, {
						width: 992,
						cols: 3,
					},
					{
						width: 800,
						cols: 3,
					},
					{
						width: 768,
						cols: 3,
					},
					{
						width: 480,
						cols: 2,
					},
					{
						width: 320,
						cols: 1
					}],
					caption: 'fadeIn',
					displayType: 'lazyLoading',
					displayTypeSpeed: 100,

					// singlePage popup
					singlePageDelegate: '.cbp-singlePage',
					singlePageDeeplinking: true,
					singlePageStickyNavigation: true,
					singlePageCounter: '<div class="cbp-popup-singlePage-counter">{{current}} of {{total}}</div>',
					singlePageCallback: function(url, element) {
						// to update singlePage content use the following method: this.updateSinglePage(yourContent)
						var t = this;

						$.ajax({
								url: url,
								type: 'GET',
								dataType: 'html',
								timeout: 10000
							})
							.done(function(result) {
								t.updateSinglePage(result);
							})
							.fail(function() {
								t.updateSinglePage('AJAX Error! Please refresh the page!');
							});
					},
				});
			})(jQuery, window, document);
					
				},1000);
		
 });		
</script>